
import React from 'react';
import Icon from 'react-icon-base';

const SlCursorMove = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1016.4 463.36l-8.47949 8.0791c-0.160156 0.160156 -0.335938 0.224609 -0.52832 0.368164l-129.744 118.432c-9.34375 8.94434 -24.4482 8.94434 -33.8242 0l-5.48828 -8.06445c-9.34375 -8.94434 -6.30371 -23.4082 3.04004 -32.3359l76.4639 -69.3438h-371.344 v373.344l69.3438 -76.4639c8.94434 -9.34375 23.4082 -12.3838 32.3359 -3.02344l8.06445 5.47168c8.94434 9.37598 8.94434 24.4805 0 33.8408l-113.168 123.968c-2.75195 5.55176 -7.00781 10.1436 -12.3193 13.2959l-1.42383 1.48828 c-4.43164 4.67188 -10.3359 7.00781 -16.2236 6.97559c-5.9043 0.0322266 -11.7764 -2.30371 -16.2881 -6.97559l-8.0957 -8.46387c-0.160156 -0.160156 -0.175781 -0.368164 -0.335938 -0.543945l-115.504 -127.744c-8.92773 -9.32812 -8.92773 -24.4482 0 -33.8242 l8.06445 -5.47168c8.92773 -9.34375 23.4238 -6.31934 32.3682 3.02441l69.1523 77.1045v-375.984h-376.304l76.4639 69.3438c9.34375 8.94434 12.3838 23.4082 3.04004 32.3359l-5.47168 8.06445c-9.36035 8.94434 -24.4961 8.94434 -33.8398 0l-123.984 -113.184 c-5.53613 -2.73633 -10.1279 -7.00879 -13.2803 -12.2891l-1.48828 -1.42383c-4.68848 -4.44824 -7.00879 -10.3525 -6.97656 -16.2402c-0.015625 -5.9043 2.28809 -11.7764 6.97656 -16.2881l8.46387 -8.0957c0.160156 -0.160156 0.368164 -0.175781 0.52832 -0.335938 l127.744 -115.504c9.34375 -8.92773 24.4639 -8.92773 33.8398 0l5.47168 8.06445c9.34375 8.94434 6.30371 23.4404 -3.04004 32.3682l-77.1201 69.1523h379.008v-376.96l-69.1523 77.1035c-8.94434 9.34375 -23.4404 12.3682 -32.3682 3.02441l-8.06445 -5.47168 c-8.92773 -9.37598 -8.92773 -24.4961 0 -33.8242l115.504 -127.744c0.160156 -0.175781 0.192383 -0.368164 0.335938 -0.52832l8.0957 -8.48047c4.51172 -4.67188 10.3838 -7.00781 16.2881 -6.97559c5.87207 -0.0322266 11.7764 2.30371 16.2246 6.97559l8.0957 8.48047 c0.160156 0.160156 0.224609 0.335938 0.368164 0.52832l118.432 129.744c8.94434 9.34375 8.94434 24.4639 0 33.8242l-8.06445 5.48828c-8.94434 9.34375 -23.4082 6.30371 -32.3359 -3.04004l-69.3438 -76.4639v374.336h373.968l-77.1045 -69.1523 c-9.34375 -8.94434 -12.3682 -23.4404 -3.02441 -32.3682l5.47168 -8.06445c9.37598 -8.92773 24.4961 -8.92773 33.8242 0l127.744 115.504c0.175781 0.175781 0.368164 0.191406 0.52832 0.334961l8.48047 8.0957c4.67188 4.49609 7.00781 10.3682 6.97559 16.2881 c0.0322266 5.85645 -2.30371 11.7764 -6.97559 16.2246z"/></g>
    </Icon>
);

export default SlCursorMove;
